summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBehnam Momeni2015-06-25 01:42:42 +0430
committerBehnam Momeni2015-06-25 02:56:26 +0430
commit6f8269c2e06376cda72c40638141d1517375bd01 (patch)
tree4d9f297691b727a7699d7767cc0b7a3d069f00df
parent13e1556258a8d8c03253b33ccbabc67e3d0b70cb (diff)
downloadaur-6f8269c2e06376cda72c40638141d1517375bd01.tar.gz
Renaming scangearmp-common to provide the old 1.40 version
The newer 2.00 version is available on AUR which is not suitable for the MP series.
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD17
2 files changed, 19 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 93656e6fe90..5bf4a5216db 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
-pkgbase = scangearmp-mp550
- pkgdesc = Canon Scanner Driver (For Multifunction MP550 series)
+pkgbase = scangearmp
+ pkgdesc = Canon IJ Scanner Driver
pkgver = 1.40
- pkgrel = 5
- url = http://www.canon-europe.com/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MP_series/PIXMA_MP550.aspx
+ pkgrel = 6
+ url = http://www.canon-europe.com/support/pixma_software/
arch = i686
arch = x86_64
license = custom
@@ -25,16 +25,19 @@ pkgbase = scangearmp-mp550
makedepends_x86_64 = lib32-gimp
makedepends_x86_64 = lib32-libusb-compat
-pkgname = scangearmp-common
+pkgname = scangearmp-mpseries-common
pkgdesc = Canon IJ Scanner Driver (Common Package)
install = scangearmp-common.install
depends = sane
+ provides = scangearmp-common=1.40
+ conflicts = scangearmp-common
depends_i686 = libusb-compat
depends_i686 = gimp
depends_x86_64 = lib32-libusb-compat
depends_x86_64 = lib32-gimp
pkgname = scangearmp-mp550
+ pkgdesc = Canon IJ Scanner Driver (For MP550 series)
install = scangearmp-mp550.install
depends = scangearmp-common=1.40
depends_i686 = gtk2>=2.6
diff --git a/PKGBUILD b/PKGBUILD
index b9f8a9709ff..3bfccff2325 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,17 @@
# Maintainer: Behnam Momeni <sbmomeni [at the] gmail [dot] com>
# Contributor: Artem A Klevtsov <unikum.pm [at the] gmail [dot] com>
-pkgbase='scangearmp-mp550'
-pkgname=('scangearmp-common' 'scangearmp-mp550')
+pkgbase='scangearmp'
+pkgname=('scangearmp-mpseries-common'
+ 'scangearmp-mp550')
_pkgname=scangearmp
pkgver=1.40
-pkgrel=5
+pkgrel=6
_pkgreview=1
-pkgdesc="Canon Scanner Driver (For Multifunction MP550 series)"
-url="http://www.canon-europe.com/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MP_series/PIXMA_MP550.aspx"
+pkgdesc="Canon IJ Scanner Driver"
+url="http://www.canon-europe.com/support/pixma_software/"
arch=('i686' 'x86_64')
license=('custom')
@@ -52,10 +53,13 @@ build() {
make
}
-package_scangearmp-common() {
+package_scangearmp-mpseries-common() {
pkgdesc="Canon IJ Scanner Driver (Common Package)"
install=scangearmp-common.install
+ conflicts=('scangearmp-common')
+ provides=('scangearmp-common=1.40')
+
depends_x86_64=('lib32-libusb-compat' 'lib32-gimp')
depends_i686=('libusb-compat' 'gimp')
depends=('sane')
@@ -79,6 +83,7 @@ package_scangearmp-common() {
}
package_scangearmp-mp550() {
+ pkgdesc="Canon IJ Scanner Driver (For MP550 series)"
install=scangearmp-mp550.install
depends_x86_64=('lib32-gtk2>=2.6')